Konfiguration | Tutorial Option Keymap: unterschiedliche Tastaturbelegungen

# Konfiguration

    options [+|-]Keymap

wird die Option Keymap für den XmetaX-Proxy ein- oder ausgeschaltet. Allerdings können nur die Optionen eingeschaltet werden, für die ein Lizenzschlüssel erworben wurde (Lizenzierung). Die Voreinstellung — keine zusätzlichen Optionen — entspricht dem Grundprodukt XmetaX.

Die folgenden Arten von Tastaturbelegungen sind zu unterscheiden:

Das Global Mapping ist die normale Belegung, wie sie der X Window Server kennt.

Das Default Mapping gilt für alle X Window Clients, die sich in der Folge beim XmetaX-Proxy anschließen. Diese Belegung behält auch über eine Reinitialisierung — sie findet statt, wenn der XmetaX-Proxy keine Client-Verbindungen mehr hat — Gültigkeit.

Das Client Mapping gilt nur für einen bestimmten X Window Client des XmetaX-Proxys.

Die unterschiedlichen Arten von Belegungen bilden in dieser Reihenfolge eine Hierarchie bezüglich ihrer Voreinstellungen:

Wird das Default Mapping spezifiziert, gilt das augenblickliche Global Mapping des X Window Servers als Ausgangsbasis.

Jedes Client Mapping ist mit dem Default Mapping vorbelegt, sofern es definiert wurde.

Das Konfigurationsprogramm xxmodmap funktioniert wie der bekannte Client xmodmap. Jedoch kann mit zusätzlichen Argumenten die Wirkung auf bestimmte Tastaturbelegungen eingeschränkt werden. Die Kommandosyntax wurde entsprechend erweitert:

    /opt/XSOXmetaX/bin/xxmodmap [-display Display-Bezeichnung] \
        [-help] [-grammar] \
        [-verbose] [-quiet] [-n] \
        [-e Ausdruck] \
        [-pm] [-pk] [-pke] [-pp] \
        [-global] [-default] \
        [-id Ressourcenummer] [-name Fenstername] [-button] \
        [Dateiname]

Hier zunächst die von xmodmap bekannten Argumente:

-help bewirkt die Ausgabe der Kommandosyntax.

-grammar bewirkt die Ausgabe der Syntax für Ausdrücke.

-verbose läßt xxmodmap die durchgeführten Aktionen auf dem Standard-Ausgabe-Strom protokollieren.

-quiet hebt -verbose auf.

-n bewirkt, daß die Aktionen nicht durchgeführt, sondern nur wie mit -verbose protokolliert werden.

-e Ausdruck gibt eine durchzuführende Änderung an. Folgende Ausdrücke — sie müssen mit Anführungszeichen zu einzelnen Argumenten zusammengefaßt werden — werden erkannt:

pointer = default setzt die Belegung der Maustasten zurück.

pointer = Nummer... setzt die Belegung der Maustasten.

keycode Nummer = [Symbol...] ändert oder löscht die Belegung einer Taste.

keysym Symbol = [Symbol...] ändert oder löscht die Belegung einer Taste.

clear Shift|Lock|Control|Mod1|Mod2|Mod3|Mod4|Mod5 löscht alle Tastenbelegungen mit einem Modifier.

add Shift|Lock|Control|Mod1|Mod2|Mod3|Mod4|Mod5 = Symbol... ordnet Tasten einem Modifier zu.

remove Shift|Lock|Control|Mod1|Mod2|Mod3|Mod4|Mod5 = Symbol... löscht Tastenbelegungen eines Modifiers.

-pm läßt xxmodmap die Belegung der Modifier ausgeben.

-pk bewirkt die Ausgabe der Tastaturbelegung in einem tabellarischen Format.

-pke bewirkt die Ausgabe der Tastaturbelegung als Reihe von Ausdrücken, die auch als Datei wieder eingelesen werden können.

Sofern nicht anders bestimmt, wirken die obigen Argumente auf das Global Mapping. Die folgenden zusätzlichen Argumente spezifizieren die Auswirkung genauer:

-global wirkt auf das Global Mapping des X Window Servers (entsprechend der Funktionalität von xmodmap). Das Default Mapping und die Client Mappings werden nicht geändert.

-default wirkt auf das Default Mapping des XmetaX-Proxys und gilt daher für alle in der Folge gestarteten Clients. Die Client Mappings bereits laufender Clients werden nicht geändert.

-id Ressourcenummer wirkt auf das Client Mapping desjenigen bereits gestarteten Clients, der die spezifizierte Ressource, etwa ein Fenster, erzeugt hat.

-name Fenstername wirkt auf das Client Mapping des Clients mit dem angegebenen Fensternamen.

-button wirkt auf das Client Mapping desjenigen Clients, in dessen Fenster geklickt wird.

Wie bei xmodmap werden die Änderungen der Tastaturbelegungen in Form von Ausdrücken auf der Kommandozeile oder in einer Datei spezifiziert. Fehlen diese Angaben, wird die entsprechende Tastaturbelegung aufgehoben.

Auf einen Client, für den das Client Mapping definiert ist, wirken sich Änderungen des Global Mappings — ob durch xxmodmap -global oder durch xmodmap — nicht aus.

Nach oben
Tutorial
Option Keymap: unterschiedliche Tastaturbelegungen

Copyright © 2021 X-Software GmbH
info@x-software.com